
Redmine - Feature #1737

autowatch issues

2008-08-03 19:40 - colin moock

Status: Closed Start date: 2008-08-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

i'd very much like to have a feature similar to Patch #222. that is, a per-user option to:

"auto-watch issues i've modified" (i.e., autowatch if i create or modify an issue)

"auto-watch issues assigned to me"

Unlike Balazs (author of Patch #222), i'd want users to be able to choose their own "autowatch" policy.

Other than Patch #222, I couldn't find any other mention of this feature. Are there plans to implement it?

Related issues:

Related to Redmine - Patch #222: Autowatch issues Closed

Related to Redmine - Feature #2716: User option to automatically add assignee... New 2009-02-11

Related to Redmine - Feature #4347: Contributing to an issue should automatic... Closed 2009-12-06

Has duplicate Redmine - Feature #28312: Option to automatically add user as w... Closed

History

#1 - 2008-08-13 15:34 - Thomas Lecavelier

- Target version deleted (0.8)

#2 - 2009-05-23 15:41 - Jens Goldhammer

+1

#3 - 2009-06-23 21:09 - Anonymous

If you're going to add this, might as well go all the way and let users define issue filters to auto-watch.

#4 - 2011-02-24 04:53 - Ryan Cross

see also #2716

#5 - 2013-04-24 08:39 - #  And

Try it out: https://github.com/logical-and/redmine_auto_watch. Watchers added on issue update and issue create from: author, assignee, previous

assignee if any.

#6 - 2016-03-24 10:23 - Go MAEDA

- Related to Feature #4347: Contributing to an issue should automatically add the user to the watchers list added

#7 - 2018-09-24 13:10 - Go MAEDA

- Has duplicate Feature #28312: Option to automatically add user as watcher to an issue if they edit an issue they're not currently involved with added

#8 - 2022-03-19 12:48 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

I'm closing this because the first option was already committed for the upcoming 5.0.0 and for the second I've added a patch to #4347.
